> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/rest-api/account-management/get-all-currency-pairs.md).

# Get All Currency Pairs

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1/markets/currency-pairs`

Retrieve a list of currency pairs available to trade in your account.

### Response Body

Each trading pair is represented as a key-value object where the key is the lowercase concatenated symbol (e.g., "btcusd") and contains detailed information about the trading pair. Each trading pair object contains the following fields:

<table><thead><tr><th width="232.20396600566573">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>formatted_symbol</code></strong></td><td>A human-readable representation of the trading pair using standard notation (e.g., <code>"BTC/USD"</code>). <br>Format:  <code>"{BASE}/{QUOTE}"</code> with uppercase symbols.</td></tr><tr><td><strong><code>symbol</code></strong></td><td>The lowercase concatenated version of the trading pair used as an identifier (e.g., <code>"btcusd"</code>). <br>Format: lowercase <code>"{base}{quote}"</code>.</td></tr><tr><td><strong><code>base</code></strong></td><td>The base currency of the trading pair (e.g., <code>"btc"</code>).</td></tr><tr><td><strong><code>quote</code></strong></td><td>The quote currency of the trading pair (e.g., <code>"usd"</code>)</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "btcusd": {
        "formatted_symbol": "BTC/USD",
        "symbol": "btcusd",
        "base": "btc",
        "quote": "usd"
    },
    "ethbtc": {
        "formatted_symbol": "ETH/BTC",
        "symbol": "ethbtc",
        "base": "eth",
        "quote": "btc"
    },
    "ltcbtc": {
        "formatted_symbol": "LTC/BTC",
        "symbol": "ltcbtc",
        "base": "ltc",
        "quote": "btc"
    }
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' \ 
-H 'Content-Type: application/json' \
-X GET \
'https://api.sfox.com/v1/markets/currency-pairs'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/markets/currency-pairs',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/markets/currency-pairs",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sfox.com/rest-api/account-management/get-all-currency-pairs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
